import React from 'react'
import { View, Text, TouchableHighlight, Image, NativeModules } from 'react-native';
import styles from './style';
import { IC_BACK_BLACK } from '../../assets/images';
const { BMCAction: { exit } } = NativeModules;


const AppTabBar = ({ title }) => {
  const handleBack = () => {
    exit();
  };

  return (
    <View style={styles.container}>
      <Text style={styles.title}>{title}</Text>

      <TouchableHighlight style={styles.back} onPress={handleBack}>
        <View style={styles.btn}>
          <Image source={IC_BACK_BLACK} style={styles.backBtn} />
        </View>
      </TouchableHighlight>
    </View>
  )
}

export default AppTabBar
