import { NativeModules, StatusBar, Dimensions } from 'react-native';
const { BMCInfo: { getEnvInfo } } = NativeModules;
const dev = {
  API_ROOT: 'http://devbmcapp.hikcreate.com',
}

const mock = {
  API_ROOT: 'http://yapi.hikcreate.com',
}

const test = {
  API_ROOT: 'http://testbmcapp.hikcreate.com',
}

const pre_prod = {
  API_ROOT: 'https://prebmcapp.hikcreate.com',
}

const prod = {
  API_ROOT: 'https://bmcapp.hikcreate.com',
}

const configs = [
  dev,
  dev,
  mock,
  test,
  pre_prod,
  prod,
]
let envInfo

export const getEnv = async () => {
  if (!envInfo) {
    envInfo = await getEnvInfo();
  }
  return configs[envInfo.env];
}

// iPhone X、iPhone XS
const X_WIDTH = 375;
const X_HEIGHT = 812;

// iPhone XR、iPhone XS Max
const XSMAX_WIDTH = 414;
const XSMAX_HEIGHT = 896;

const DEVICE_SIZE = Dimensions.get('window');
const { height: D_HEIGHT, width: D_WIDTH } = DEVICE_SIZE;

export const isiOS = () => Platform.OS === 'ios'

export const isiPhoneX = () => {
  return (
    isiOS() &&
    ((D_HEIGHT === X_HEIGHT && D_WIDTH === X_WIDTH) ||
      (D_HEIGHT === X_WIDTH && D_WIDTH === X_HEIGHT)) ||
    ((D_HEIGHT === XSMAX_HEIGHT && D_WIDTH === XSMAX_WIDTH) ||
      (D_HEIGHT === XSMAX_WIDTH && D_WIDTH === XSMAX_HEIGHT))
  );
};

export const HEADER_HEIGHT = 44

export const STATUS_BAR_HEIGHT = isiOS() ? (isiPhoneX() ? 34 : 20) : StatusBar.currentHeight