/**
 * 设备列表页
 *
 * */

import React, { useEffect, useState } from 'react'
import { TextInput, Text, TouchableHighlight, View, NativeModules, StatusBar } from 'react-native';
// import Tabbar from '../../components/Tabbar';
import { user as userServices } from '../../services';
import styles from './style';

const { BMCInfo: { getUserInfo }, BMCUI, BMCAction: { exit, updateNickname } } = NativeModules;

const Equipment = () => {
  const [nickname, setNickName] = useState('');
  useEffect(() => {
    getNativeLoginInfo();
  }, []);

  const getNativeLoginInfo = async () => {
    const data = await getUserInfo();
    setNickName(data.nickname);
  };


  const handleSave = async () => {
    if (/^[a-zA-Z|0123456789|_\\-|\u4e00-\u9fa5]+$/.test(nickname)) {
      const data = await userServices.setNickName({ nickname });
      BMCUI.showToast('修改昵称成功！');
      await updateNickname(nickname);
      exit();
    } else {
      BMCUI.showToast('请输入1-20个字符作为昵称');
    }
  };

  return (
    <View style={styles.container}>
      <StatusBar translucent={false} backgroundColor='#fff' barStyle="dark-content" />
      <View>
        <TextInput
          style={styles.input}
          value={nickname}
          onChangeText={(text) => { setNickName(text); }}
          placeholder="请输入昵称"
        />
      </View>

      <Text style={styles.tip}>1-20个字符，可由中英文、数字、“-”、“_”组成</Text>

      <View style={styles.submit}>
        <TouchableHighlight onPress={handleSave}>
          <View style={styles.btn}>
            <Text style={styles.btnText}>保存</Text>
          </View>
        </TouchableHighlight>
      </View>
    </View>
  )
};

export default Equipment
